#!/bin/awk -f
# Tomasz Przechlewski <t.przechlewski@gust.org.pl>. 
# Copyright 1999, 2006. Można rozpowszechniać na licencji GNU.
#
# Prosty skrypt robiący porządek w tekstach, które będą wyświetlone
# w PDF-owych bookmarkach (uwaga skrypt zawiera znaki o kodach > 127)
#
{
  gsub (/LaTeX{}/,"LaTeX"); gsub(/\\ldots/,"...");

  gsub(/ą/,"a"); gsub(/ć/,"c"); gsub(/ę/,"e"); gsub(/ł/,"l"); gsub(/ń/,"n");
  gsub(/ó/,"o"); gsub(/ś/,"s"); gsub(/ź/,"z"); gsub(/ż/,"z"); 

  gsub(/Ś/,"S"); gsub(/Ł/,"L");  
  print $0
}
